Bug 987844 - [abrt] bleachbit-0.8.7-2.fc17: General.py:118:makedirs:OSError: [Errno 13] Permission denied: '/root/.config/bleachbit'
[abrt] bleachbit-0.8.7-2.fc17: General.py:118:makedirs:OSError: [Errno 13] Pe...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bleachbit (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:4b31488f0d2afd6e22bf1f88a32...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 05:34 EDT by deardevildevid
Modified: 2013-08-01 00:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:56:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (669 bytes, text/plain)
2013-07-24 05:34 EDT, deardevildevid
no flags Details
File: core_backtrace (357 bytes, text/plain)
2013-07-24 05:34 EDT, deardevildevid
no flags Details
File: environ (2.82 KB, text/plain)
2013-07-24 05:34 EDT, deardevildevid
no flags Details

  None (edit)
Description deardevildevid 2013-07-24 05:34:43 EDT
Version-Release number of selected component:
bleachbit-0.8.7-2.fc17

Additional info:
cmdline:        python /usr/bin/bleachbit
executable:     /usr/bin/bleachbit
kernel:         3.9.10-100.fc17.i686.PAE
runlevel:       N 5
uid:            1000
ureports_counter: 1

Truncated backtrace:
General.py:118:makedirs:OSError: [Errno 13] Permission denied: '/root/.config/bleachbit'

Traceback (most recent call last):
  File "/usr/share/bleachbit/GUI.py", line 86, in on_row_changed
    options.set_tree(parent, child, value)
  File "/usr/share/bleachbit/Options.py", line 234, in set_tree
    self.__flush()
  File "/usr/share/bleachbit/Options.py", line 50, in __flush
    General.makedirs(Common.options_dir)
  File "/usr/share/bleachbit/General.py", line 118, in makedirs
    os.mkdir(path, 0700)
OSError: [Errno 13] Permission denied: '/root/.config/bleachbit'

Local variables in innermost frame:
path: '/root/.config/bleachbit'
parentdir: '/root/.config'
Comment 1 deardevildevid 2013-07-24 05:34:48 EDT
Created attachment 777688 [details]
File: backtrace
Comment 2 deardevildevid 2013-07-24 05:34:53 EDT
Created attachment 777689 [details]
File: core_backtrace
Comment 3 deardevildevid 2013-07-24 05:34:59 EDT
Created attachment 777690 [details]
File: environ
Comment 4 Fedora End Of Life 2013-08-01 00:57:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.